<?php
session_start();
$ruta="../../";
include_once($ruta."class/grupo.php");
$grupo=new grupo;
include_once($ruta."class/grupocredito.php");
$grupocredito=new grupocredito;
include_once($ruta."class/credito.php");
$credito=new credito;

include_once($ruta."class/dominio.php");
$dominio=new dominio;
include_once($ruta."class/tipobanca.php");
$tipobanca=new tipobanca;
include_once($ruta."class/config.php");
$config=new config;

include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo;

extract($_POST);

	$existe=$grupocredito->mostrarTodo("idgrupo=".$idgrupo." and estado in (0,1)");//1=credito activo	
	//$gc=array_shift($gc);
	//$IDgc=$gc['idgrupocredito'];
	if (count($existe)>0) 
	{
	  	?>
			<script type="text/javascript">
			swal("ERROR","No puede otorgar un nuevo crédito, ya existe uno vigente","error");
			</script>
		<?php
	}else{
		$personas=$personagrupo->mostrarTodo("idgrupo=".$idgrupo);//1=credito activo	
		//$gc=array_shift($gc);
		//$IDgc=$gc['idgrupocredito'];
		if (count($personas)<=0) 
		{
		  	?>
				<script type="text/javascript">
				swal("ERROR","No puede otorgar un nuevo crédito, no existen personas en el grupo","error");
				</script>
			<?php
		}else{

			$valores2=array(
				"idgrupo"=>"'$idgrupo'",
				"idasesor"=>"'0'",
				"frecuenciapago"=>"'$idfrecuenciapago'",
				"idtipobanca"=>"'$idtipobanca'",
				"cuota"=>"'0'",
				"nrocuotas"=>"'$idnrocuotas'",
				"gastosadmin"=>"'$idgadmin'",
				"frs"=>"'$idfrs'",
				"fechadesembolso"=>"'$idfechadesembolso'",
				"fecha1erpago"=>"'$idfecha1erpago'",
				"fechacierre"=>"'$idfechacierre'",
				"fechaultimo"=>"'$idfechadesembolso'",
				"fechaproximo"=>"'$idfecha1erpago'",
				"codigo"=>"'$idgrupo'",
				"estadocredito"=>"'10'",
				"estado"=>"'0'"
		 	);	
			if($grupocredito->insertar($valores2))
			{
				$fecha=date("Y-m-d");
				$dgc=$grupocredito->mostrarUltimo("idgrupo=".$idgrupo." and fechadesembolso='$idfechadesembolso'");
				$gr=$grupo->muestra($idgrupo); 
				$idgrupocredito=$dgc['idgrupocredito'];
				$idasesor=$gr['idadmejecutivo'];

				$ddom=$dominio->muestra($idfrecuenciapago); 
				$lapsoDias=$ddom['short'];

				// carga tipo de banca
				$tb=$tipobanca->muestra($idtipobanca);
				$fgarantia=$tb['fondogarantia'];
				$depacumulado=$tb['depositoacumulado'];
				$interes=$tb['interes'];
				$seguro=$tb['seguro'];
				if ($idfrs>0) {
					$seguro=0;
				}
				// aca llena los creditos de todas las personas
				/********************************************************************/
					//damos el credito a todas las personas del grupo
					foreach($personagrupo->mostrarTodo("idgrupo=".$idgrupo." and estado=1") as $f)
	                {
	                	$idpersonagrupo=$f['idpersonagrupo'];
	                	$idpersona=$f['idpersona'];

	                	//cuenta del credito
						$cta=$config->muestra(1);
						$cuenta=$cta['cuentaBs']+1;
						//cambiar
	                  	$valcredito=array(
	                  		"idtipobanca"=>"'$idtipobanca'",
							"idgrupocredito"=>"'$idgrupocredito'",
							"idejecutivo"=>"'$idasesor'",
							"idpersonagrupo"=>"'$idpersonagrupo'",
							"idpersona"=>"'$idpersona'",
							"idsucursal"=>"'0'",
							"idfrecuenciapago"=>"'$idfrecuenciapago'",
							"moneda"=>"'MN'",
							"lapsoDias"=>"'$lapsoDias'",
							"cuenta"=>"'$cuenta'",
							"montoOT"=>"'0'",
							"saldoAnterior"=>"'0'",
							"saldo"=>"'0'",
							"cuotas"=>"'$idnrocuotas'",
							"cuotaspagadas"=>"'0'",

							"fgarantia"=>"'0'",
							"depacumulado"=>"'$depacumulado'",
							"interes"=>"'$interes'",
							"seguro"=>"'$seguro'",
							"gastosadmin"=>"'$idgadmin'",
							"frs"=>"'$idfrs'",

							"fechadesembolso"=>"'$idfechadesembolso'",
							"fechaprimer"=>"'$idfecha1erpago'",
							"fechavence"=>"'$idfechacierre'",

							"fechaultpago"=>"'$fecha'",
							"fechaultint"=>"'$fecha'",
							"fechaproxve"=>"'$idfecha1erpago'",

							"diasmora"=>"'0'",
							"reprogramado"=>"'0'",
							"estadocredito"=>"'150'",
							"estado"=>"'0'",
					 	);	
						$credito->insertar($valcredito);
						$valConf=array(
							"cuentaBs"=>"'$cuenta'"
					 	);
						$config->actualizar($valConf,$cta['idconfig']);
	                }
				/********************************************************************/
			  	?>
					<script type="text/javascript">
					swal({
						title: "Éxito",
						text: "Crédito Registrado correctamente",
						type: "success",
						//showCancelButton: false,
						confirmButtonColor: "#28e29e",
						confirmButtonText: "OK",
						closeOnConfirm: false
			          }, function () {
						location.reload();
			          });
					</script>
				<?php
			}else{
			?>
				<script type="text/javascript">
					swal("ERROR","No se registro","error");
				</script>
	       	<?php
			}
		}
	}
?>